function [ s ] = cycleWriter(G,mapN,mapE,detectAndProcess,readEvent,getEvent)
% CYCLEWRITER Generates the SCL code that must be executed at each
% scan cycle, through the given input functions.
% 
    s='';
    %read input events
    s=insertLine(s,'(*READING INPUT EVENTS*)');
    for i=1:length(mapE)
        s=insertLine(s,readEvent( i,mapE ));
    end
    
    %detect and process events
    s=insertLine(s,detectAndProcess( G,mapN,mapE,getEvent ));
end

