function [ s ] = firstTimeFinalizerWriter(G,mapN,mapE,finalizeStateFunc)
% FIRSTTIMEFINALIZERWRITER Generates the SCL code that needs to be
% executed at the end of the first scan cycle, through the given input function;
% 
    s='';
    s=insertLine(s,['IF ',getFirstTimeVarName(),' THEN']);
    s=insertLine(s,finalizeStateFunc(G,mapN,mapE));
    s=insertLine(s,setVar(getFirstTimeVarName(),false));

    s=insertLine(s,'END_IF;');
    
end

