function [ s ] = getAdmissibleEventsFromState(graph,nodeID)
% GETOUTPUTARCS  Produce in output i pesi degli archi in uscita da questo
% nodo.
    succs=successors(graph,nodeID);
    s=[];
    for i=1:length(succs)
       index=findedge(graph,nodeID,succs(i));
       assert(index>0);
       newArc = table2array(graph.Edges(index,2));
       s=union(s,newArc);
    end
end

