function [ G,mapN,mapE,initStateID ] = getGraphFromSupremica( fileName, graphName )
    structVar = xml2struct(fileName);
    graphVar=[]; initStateID=[]; 
    if(iscell(structVar.Module.ComponentList.SimpleComponent)) %multiple components
        for i=1:length(structVar.Module.ComponentList.SimpleComponent)
           if(isequal(graphName , structVar.Module.ComponentList.SimpleComponent{i}.Attributes.Name))
                [ graphVar,mapN,initStateID  ] = getNodes( structVar.Module.ComponentList.SimpleComponent{1,i}.Graph.NodeList.SimpleNode );
                [ graphVar,mapE ] = getEdges( structVar.Module.ComponentList.SimpleComponent{1,i}.Graph.EdgeList.Edge,graphVar,mapN );
                 G=struct('graph',graphVar,'initStateID',initStateID);

                return;
           end
        end
    else %single component
        if(isequal(graphName , structVar.Module.ComponentList.SimpleComponent.Attributes.Name))
            [ graphVar,mapN,initStateID  ] = getNodes( structVar.Module.ComponentList.SimpleComponent.Graph.NodeList.SimpleNode );
            [ graphVar,mapE ] = getEdges( structVar.Module.ComponentList.SimpleComponent.Graph.EdgeList.Edge,graphVar,mapN );
            G=struct('graph',graphVar,'initStateID',initStateID);
        return;
        end
    end
end

