function [ mapE ] = getMapEFromMapEs( mapEList )
    %GETMAPEFROMMAPES Produce la nuova mapE a partire dalle mappe in
    %ingresso, che possono essere intersezionate da pi transizioni in
    %comune
    
    map = containers.Map('KeyType','char','ValueType','any');
    mapE = getNewMap();
    id=1;
    for i=1:length(mapEList)
        transitionsNames = values(mapEList{i});
        for j=1:length(transitionsNames)
            if(not(isKey(map,transitionsNames{j})))
                map(transitionsNames{j})=1; 
                mapE(id) = transitionsNames{j};
                id = id+1;
            end
        end
    end

end

