function [ G,mapE ] = getEdges( edges,G,mapN )
    %GETEDGES Summary of this function goes here
    %   Detailed explanation goes here
    mapE = getNewMap();
    edgeId = 1;
    for i=1:length(edges)
        s = transformNodeName(edges{i}.Attributes.Source);

        t = transformNodeName(edges{i}.Attributes.Target);
        linkingEdgeName = edges{i}.LabelBlock.SimpleIdentifier.Attributes.Name;
        
        sK=getKeyOfValue(s,mapN);
        tK=getKeyOfValue(t,mapN);
        assert(length(sK)==1 && length(tK)==1);
        
        keys=getKeyOfValue( linkingEdgeName,mapE );
        linkingEdgeId = [];
        if(isempty(keys))
            insertPairToMap(edgeId,linkingEdgeName,mapE);
            linkingEdgeId=edgeId;
            edgeId=edgeId+1;
        else
            assert(length(keys)==1);
            linkingEdgeId = keys{1};
        end
        
        G = addedge(G,sK{1},tK{1},linkingEdgeId);
        
    end
end

