function [ s ] = defineTriggerEventDetectors( mapE )
% DEFINETRIGGEREVENTDETECTORS  Creates the SCL code that defines a rising
% trigger detector for each element in mapE.
% 
%
% * mapE is the map associating to each numbered transition/event a string;
% 
    s='';
    s=insertLine(s,'(* TRIGGERS FOR EVENT DETECTION *)');
    for i=1:length(mapE)
        s=insertLine(s,defineTrigger(getTriggerVarName(i,mapE)));
    end
    
end

