function [ s ] = readTriggerEvent( i,map )
% READTRIGGEREVENT  Creates the SCL code that executes the detection of a rising
% edge of the i-th element in the map.
% 
%
% * mapE is the map associating to each numbered transition/event a string;
% 
    if(not(exist('map','var')))
        s=[getTriggerVarName(i),'(CLK:=',getInputVarName(i),');'];
    else
        s=[getTriggerVarName(i,map),'(CLK:=',getInputVarName(i,map),');'];
    end
end